[DEFAULT]
# Show debugging output in log (sets DEBUG log level output)
# debug = False

[ovsdb]
# (StrOpt) OVSDB server tuples in the format
# <ovsdb_name>:<ip address>:<port>[,<ovsdb_name>:<ip address>:<port>]
# - ovsdb_name: a symbolic name that helps identifies keys and certificate files
# - ip address: the address or dns name for the ovsdb server
# - port: the port (ssl is supported)
# ovsdb_hosts =
# Example: ovsdb_hosts = 'ovsdb1:16.95.16.1:6632,ovsdb2:16.95.16.2:6632'

# enable_manager = False
# (BoolOpt) connection can be initiated by the ovsdb server.
# By default 'enable_manager' value is False, turn on the variable to True
# to initiate the connection from ovsdb server to l2gw agent.
# manager_table_listening_port = 6632
# (PortOpt) set port number for l2gateway agent, so that it can listen
# for ovsdb server,whenever its IP is entered in manager table of ovsdb server.
# by default it is set to port 6632.
# you can use vtep-ctl utility to populate manager table of ovsdb.
# For Example: sudo vtep-ctl set-manager tcp:x.x.x.x:6640,
# where x.x.x.x is IP of l2gateway agent and 6640 is a port.

# (StrOpt) Base path to private key file(s).
# Agent will find key file named
# $l2_gw_agent_priv_key_base_path/$ovsdb_name.key
# l2_gw_agent_priv_key_base_path =
# Example: l2_gw_agent_priv_key_base_path = '/home/someuser/keys'

# (StrOpt) Base path to cert file(s).
# Agent will find cert file named
# $l2_gw_agent_cert_base_path/$ovsdb_name.cert
# l2_gw_agent_cert_base_path =
# Example: l2_gw_agent_cert_base_path = '/home/someuser/certs'

# (StrOpt) Base path to ca cert file(s).
# Agent will find ca cert file named
# $l2_gw_agent_ca_cert_base_path/$ovsdb_name.ca_cert
# l2_gw_agent_ca_cert_base_path =
# Example: l2_gw_agent_ca_cert_base_path = '/home/someuser/ca_certs'

# (IntOpt) The L2 gateway agent checks connection state with the OVSDB
# servers.
# The interval is number of seconds between attempts.
# periodic_interval =
# Example: periodic_interval = 20

# (IntOpt) The L2 gateway agent retries to connect to the OVSDB server
# if a socket does not get opened in the first attempt.
# the max_connection_retries is the maximum number of such attempts
# before giving up.
# max_connection_retries =
# Example: max_connection_retries = 10

# (IntOpt) The remote OVSDB server sends echo requests every 4 seconds.
# If there is no echo request on the socket for socket_timeout seconds,
# by default socket_timeout is set to 30 seconds. The agent can
# safely assume that the connection with the remote OVSDB server is lost.
# socket_timeout =
# Example: socket_timeout = 30
